Package org.eclipse.emf.spi.cdo

# Class CDOSessionProtocol.MergeDataResult

java.lang.Object
org.eclipse.emf.spi.cdo.CDOSessionProtocol.MergeDataResult

Enclosing interface:
  CDOSessionProtocol

public static final class CDOSessionProtocol.MergeDataResult extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.6
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`MergeDataResult()`

## Method Summary

Modifier and Type
Method
Description
`Set<CDOID>`
`getIDs()`
`CDOBranchPoint`
`getResultBase()`
`Set<CDOID>`
`getSourceIDs()`
`Set<CDOID>`
`getTargetIDs()`
`void`
`setResultBase(CDOBranchPoint resultBase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergeDataResult

public MergeDataResult()

## Method Details

### getIDs

public Set<CDOID> getIDs()

Since:
  4.13

### getTargetIDs

public Set<CDOID> getTargetIDs()

### getSourceIDs

public Set<CDOID> getSourceIDs()

### getResultBase

public CDOBranchPoint getResultBase()

### setResultBase

public void setResultBase(CDOBranchPoint resultBase)